--
-- fillableInfo specialization register based on mods by Wopster
-- author: Ziuta
-- date: 20.02.2021
-- DC: ja_pizgam#6307

source(Utils.getFilename("fillableVehicleInfo.lua", g_currentModDirectory))

local directory = g_currentModDirectory
local modName = g_currentModName

function validateVehicleTypes(vehicleTypeManager)
    FillableVehicleInfo.installSpecializations(g_vehicleTypeManager, g_specializationManager, directory, modName)
end

VehicleTypeManager.validateVehicleTypes = Utils.prependedFunction(VehicleTypeManager.validateVehicleTypes, validateVehicleTypes)

function Vehicle:fillableInfo_getModName()
    return modName
end

function Vehicle:fillableInfo_getSpecTable(name)
    local spec = self["spec_" .. modName .. "." .. name]
    if spec ~= nil then
        return spec
    end

    return self["spec_" .. name]
end